You are viewing a plain text version of this content. The canonical link for it is here.
Posted to cvs@httpd.apache.org by jo...@apache.org on 2021/12/13 12:08:26 UTC

svn commit: r1895876 - in /httpd/httpd/branches/2.4.x: ./ test/travis_run_linux.sh

Author: jorton
Date: Mon Dec 13 12:08:26 2021
New Revision: 1895876

URL: http://svn.apache.org/viewvc?rev=1895876&view=rev
Log:
Merge r1891138 from trunk: (ci part)

* test/travis_run_linux.sh: For TEST_SSL, test loading encrypted
  private keys.



Modified:
    httpd/httpd/branches/2.4.x/   (props changed)
    httpd/httpd/branches/2.4.x/test/travis_run_linux.sh

Propchange: httpd/httpd/branches/2.4.x/
------------------------------------------------------------------------------
  Merged /httpd/httpd/trunk:r1891138

Modified: httpd/httpd/branches/2.4.x/test/travis_run_linux.sh
URL: http://svn.apache.org/viewvc/httpd/httpd/branches/2.4.x/test/travis_run_linux.sh?rev=1895876&r1=1895875&r2=1895876&view=diff
==============================================================================
--- httpd/httpd/branches/2.4.x/test/travis_run_linux.sh (original)
+++ httpd/httpd/branches/2.4.x/test/travis_run_linux.sh Mon Dec 13 12:08:26 2021
@@ -104,11 +104,25 @@ if ! test -v SKIP_TESTING; then
     
     if test -v TEST_SSL -a $RV -eq 0; then
         pushd test/perl-framework
+            # Test loading encrypted private keys
+            ./t/TEST -defines "TEST_SSL_DES3_KEY TEST_SSL_PASSPHRASE_EXEC" t/ssl
+            RV=$?
+
+            # Log the OpenSSL version.
+            grep 'mod_ssl.*compiled against' t/logs/error_log | tail -n 1
+            
+            # Test various session cache backends
             for cache in shmcb redis:localhost:6379 memcache:localhost:11211; do
-                SSL_SESSCACHE=$cache ./t/TEST -sslproto TLSv1.2 -defines TEST_SSL_SESSCACHE t/ssl
-                RV=$?
                 test $RV -eq 0 || break
-            done
+
+                SSL_SESSCACHE=$cache ./t/TEST -sslproto TLSv1.2 -defines TEST_SSL_SESSCACHE -start
+                ./t/TEST t/ssl
+                RV=$?
+                ./t/TEST -stop
+                SRV=$?
+                if test $RV -eq 0 -a $SRV -ne 0; then
+                    RV=$SRV
+                fi
         popd
     fi